## switchsh 0~20070801

=== debian/changelog ===
switchsh (0~20070801-5) unstable; urgency=medium

  [ наб ]
  * Team upload
  * Collaborative maintenance in Debian team on Salsa
    Closes: #1086549
  * d/postinst: remove, unneeded since stretch
  * d/copyright: update for current version of DEP-5
  * cdbs => debhelper 13
  * d/rules: fix switchsh being built with -s
  * Rules-Requires-Root: no
  * d/copyright: fix missing Copyright: stanzas
  * Standards-Version: 3.9.8 -> 4.7.0
  * d/p/0004: Don't fork, just exec directly
  * d/p/0005: Try to bind-mount over /bin/sh
              instead of over /usr/bin/dash first (Closes: #762759)
  * Fix cross-compilation
  * Vcs-Git: https://salsa.debian.org/debian/switchsh.git

  [ Andreas Tille ]
  * Fake watch file

 -- наб <nabijaczleweli@nabijaczleweli.xyz>  Fri, 01 Nov 2024 09:52:01 +0100

switchsh (0~20070801-4) unstable; urgency=medium

  * Acknowledge the NMU changes
    + Thanks Gilles Filippini and Chris Lamb
  * debian/control:
    + Use my debian email address
    + Drop DM-Upload-Allowed flag
    + Bump Standards-Version, no change needed
    + Update versioned dependency on debhelper
    + Drop dependency on quilt
    + Update the VCS URLs and make them use https
  * debian/compat:
    + Bump debhelper compat level to 10
  * debian/source/format:
    + Switch to format 3.0 quilt
  * debian/switchsh.1: correct spelling mistake
  * debian/postinst:
    + Do not use dpkg-statoverride to make switchsh setuid
      (Closes: #562826)
    + Remove any existing dpkg-statoverride if it matches the one we
      used to set
  * debian/postrm:
    + Drop it as it is now obsolete
  * debian/rules: install switchsh as setuid

 -- Raphael Geissert <geissert@debian.org>  Thu, 26 Jan 2017 01:02:17 +0100

switchsh (0~20070801-3.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop build dependency on hardening-wrapper by moving to dpkg-buildflags.
    (Closes: #836657)

 -- Chris Lamb <lamby@debian.org>  Sun, 25 Sep 2016 12:13:00 +0200

switchsh (0~20070801-3.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Remount / with MS_SLAVE|MS_REC inside the CLONE_NEWNS namespace so
    that the bind mount doesn't affect the entire system (closes: #762892)

 -- Gilles Filippini <pini@debian.org>  Wed, 25 May 2016 18:20:23 +0200

switchsh (0~20070801-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * Define _GNU_SOURCE to be able to use CLONE_NEWNS flag (Closes: #701454)

 -- Jonathan Wiltshire <jmw@tiger-computing.co.uk>  Wed, 05 Jun 2013 09:39:47 +0100

switchsh (0~20070801-3) unstable; urgency=low

  * debian/rules:
    + Dropped the non-linux bits as they are completely useless
       since clone isn't available either.
    + Include patchsys-quilt.mk
  * debian/control: depend on quilt.
  * use_execvp.patch: search for the executable in PATH (Closes: #503835)
    - Thanks to Sven Joachim <svenjoac@gmx.de> for the suggestion and
       pseudo patch.

 -- Raphael Geissert <atomo64@gmail.com>  Wed, 29 Oct 2008 18:10:27 -0600

switchsh (0~20070801-2) unstable; urgency=low

  * debian/control:
    + Added XS-DM-Upload-Allowed.
    + Added VCS information.

 -- Raphael Geissert <atomo64@gmail.com>  Sun, 12 Oct 2008 17:45:26 -0500

switchsh (0~20070801-1) unstable; urgency=low

  * Initial release. (Closes: #483490)

 -- Raphael Geissert <atomo64@gmail.com>  Sun, 12 Oct 2008 17:26:04 -0500
