=== debian/control ===
Source: switchsh
Section: utils
Priority: optional
Maintainer: Raphael Geissert <geissert@debian.org>
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.7.0
Homepage: http://www.linux.it/~md/software/
Vcs-Git: https://salsa.debian.org/debian/switchsh.git
Vcs-Browser: https://salsa.debian.org/debian/switchsh
Rules-Requires-Root: no

Package: switchsh
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: bind-mount bash as /bin/sh
 Small program to bind-mount bash as /bin/sh for its child processes.
 .
 It can be used when bash is not the default shell interpreter but a given
 program makes use of bashisms (features not required by Policy for sh) and one
 wants to run it without changing (or can not change) the default sh.
