=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS:=hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
DPKG_EXPORT_BUILDTOOLS = 1
include /usr/share/dpkg/buildflags.mk
include /usr/share/dpkg/buildtools.mk

CFLAGS += -pedantic -Werror -Wextra -Wformat -Wformat-security

override_dh_auto_build:
	$(MAKE) switchsh
	chmod 4755 switchsh

override_dh_auto_clean:
	rm -f switchsh

override_dh_fixperms:
	dh_fixperms -Xusr/bin/switchsh

%:
	dh $@
